/*! \file 
 * X-Forge Util <br>
 * Copyright 2000-2003 Fathammer Ltd
 * 
 * \brief RIFF Wave loader
 * 
 * $Id: XFuWavLoad.h,v 1.6 2003/03/20 13:19:59 jetro Exp $
 * $Date: 2003/03/20 13:19:59 $
 * $Revision: 1.6 $
 */

#ifndef XFUWAVLOAD_H_INCLUDED
#define XFUWAVLOAD_H_INCLUDED



class XFcAudioBuffer;


#define LW_SCALEHALF 0x010000

//! Loads RIFF .Wav file as XFcAudioBuffer.
/*! Currently only supports 8bit mono samples.
 */
XFcAudioBuffer * xfuLoadWav(const CHAR *filename, INT32 flags);

//! Loads RIFF .Wav file as XFcAudioBuffer.
/*! Currently only supports 8bit mono samples.
 */
XFcAudioBuffer * xfuLoadWav(const CHAR *filename);


#endif // !XFUWAVLOAD_H_INCLUDED
